# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: error.py,v 1.2 2002/12/24 14:07:46 zagy Exp $



import sys, traceback, StringIO


class BatchError:
    """An error processing a batch command."""

    def __init__(self):
        f = StringIO.StringIO()
        t, v, tb = sys.exc_info()
        traceback.print_tb(tb, file=f)
        self.value = "%s: %s\n%s" % (t, v, f.getvalue())

    def __str__(self):
        return self.value
